<?php

/*
 *   This file is part of NOALYSS.
 *
 *   PhpCompta is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   PhpCompta is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with PhpCompta; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
// Copyright (2002-2022) Author Dany De Bontridder <danydb@noalyss.eu>

if (!defined('ALLOWED'))
    die('Appel direct ne sont pas permis');

/**
 * @file
 * @brief Add a row 
 */
try
{
    $fiche_def=$http->get("fiche_def");
    $count=$http->get("nb_item","number");
    $document_id=$http->get("document_id");
} 
catch (Exception $exc)
{
    echo $exc->getMessage();
    error_log($exc->getTraceAsString());
}

$operation_detail=\Noalyss_Document\Operation_Detail::build(-1);

$operation_detail->display_row($document_id,$fiche_def,$count,false,$document_id);
